curl --request GET \
--url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/{rowId} \
--header 'Authorization: Bearer <token>'{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}Get a single row by ID from the published version of a table. Note: This endpoint can be accessed without any authentication, if the table is set to be allowed for public access.
curl --request GET \
--url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/{rowId} \
--header 'Authorization: Bearer <token>'{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the row.
\d+The ID or name of the HubDB table.
Whether to return only results that have been archived.
successful operation
Specifies the value for the column child table id
Timestamp at which the row is created
The id of the table row
Specifies the value for hs_name column, which will be used as title in the dynamic pages
Specifies the value for hs_path column, which will be used as slug in the dynamic pages
The timestamp indicating when the row was last published, in date-time format.
Timestamp at which the row is updated last time
List of key value pairs with the column name and column value
Show child attributes
Was this page helpful?